Skip to main content
GET
/
custom_role
/
{custom_role_api_id}
Get Custom Role
curl --request GET \
  --url https://api.partoo.co/v2/custom_role/{custom_role_api_id} \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/custom_role/{custom_role_api_id}"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/custom_role/{custom_role_api_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "This is My Custom Role",
  "api_id": "this_is_my_custom_role",
  "description": "It has a custom permission configuration!",
  "org_id": 42,
  "is_builtin": false,
  "permissions": [
    "business_edit",
    "business_edit_open_hours"
  ]
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Path Parameters

custom_role_api_id
string
required

API identifier of the custom role (api_id)

Query Parameters

org_id
integer

Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.

Response

OK

Detailed representation of a Custom Role

name
string

Name of the Custom Role. Cannot contain any of the following characters: ,;/\|<>.

Example:

"This is My Custom Role"

api_id
string

API identifier of the Custom Role. Cannot contain any of the following characters: ,;/\|<>.

Example:

"this_is_my_custom_role"

description
string
Example:

"It has a custom permission configuration!"

org_id
integer | null

Unique identifier of an organization in Partoo.

Example:

42

is_builtin
boolean
Example:

false

permissions
string[]
Example:
["business_edit", "business_edit_open_hours"]